Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class CodeBlockManager

    java.lang.Object
      dioscuri.module.cpu32.CodeBlockManager

    public class CodeBlockManager

extends java.lang.Object

Author:
  Bram Lohman, Bart Kiers

Constructor Summary
`CodeBlockManager(Clock clk)`

Method Summary
`void` | `dispose()`
`ProtectedModeCodeBlock` | `getProtectedModeCodeBlockAt(Memory memory, int offset, boolean operandSizeFlag)`
`RealModeCodeBlock` | `getRealModeCodeBlockAt(Memory memory, int offset)`
`Virtual8086ModeCodeBlock` | `getVirtual8086ModeCodeBlockAt(Memory memory, int offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeBlockManager

    public CodeBlockManager(Clock clk)

Parameters:
  `clk` -

Method Detail

### getRealModeCodeBlockAt

    public RealModeCodeBlock getRealModeCodeBlockAt(Memory memory,
                                                    int offset)

  Parameters:
    `memory` -
    `offset` -
  Returns:
    -

### getProtectedModeCodeBlockAt

    public ProtectedModeCodeBlock getProtectedModeCodeBlockAt(Memory memory,
                                                              int offset,
                                                              boolean operandSizeFlag)

  Parameters:
    `memory` -
    `offset` -
    `operandSizeFlag` -
  Returns:
    -

### getVirtual8086ModeCodeBlockAt

    public Virtual8086ModeCodeBlock getVirtual8086ModeCodeBlockAt(Memory memory,
                                                                  int offset)

  Parameters:
    `memory` -
    `offset` -
  Returns:
    -

### dispose

    public void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD